Cara upgrade PHP di VestaCP

Pada VestaCP 0.9.8 rilis lama dibalik kemudahan dan kestabilannya masih belum menggunakan versi PHP terkini (5.4.45) dan untuk kasus tertentu terpaksa kita mengupgradenya. Alasan saya menggantinya karena mengincar PHP OPcache yang sudah terintegrasi sejak versi 5.6 dan ini sangat membantu performa proses PHP. Kalau menunggu Vesta sendiri merilis resmi bisa – bisa 2 tahun lagi baru ada. Haha. πŸ˜€

Karena VestaCP sendiri bisa diinstall di berbagai macam distro Linux maka akan saya tuliskan untuk masing – masing yang pernah saya coba. Adaptasikan kalau misal ada perbedaan. Semuanya akan mengupgrade ke versi PHP 5 terbaru yang ada dalam repository, tidak loncat ke PHP 7.

Sanggahan dulu ya. πŸ˜‰ Semua yang dilakukan pada tutorial ini memiliki resiko merusak konfigurasi web server anda dan hanya lakukan setelah anda memiliki backup. Atau servernya masih kosong ya silahkan, tapi kalau sudah masuk production dan terisi beberapa situs ya harap dibackup dulu daripada menyesal nantinya. Saya tidak bertanggung jawab kalau ada apa – apa. Jadilah server administrator yang bijak. πŸ™‚

CentOS 6

Langsung saja pada VPS anda ketikkan perintah berikut. Tambahkan EPEL repository:

  • CentOs 6 32-bit
  • wget http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm
    rpm -ivh epel-release-6-8.noarch.rpm
  • CentOS 6 64-bit
    wget http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
    rpm -ivh epel-release-6-8.noarch.rpm

Kemudian REMI repository:

wget http://rpms.famillecollet.com/enterprise/remi-release-6.rpm
rpm -Uvh remi-release-6*.rpm

Lakukan update seperti biasanya:

yum --enablerepo=remi update

Debian 7

Mari kita lanjutkan dengan distro populer lainnya. Pertama edit file daftar repository Debian pada /etc/apt/sources.list:

nano /etc/apt/sources.list

Lanjutkan dengan menambahkan data repository DotDeb:

deb http://packages.dotdeb.org wheezy-php56 all
deb-src http://packages.dotdeb.org wheezy-php56 all

Kemudian tambahkan repository key:

wget https://www.dotdeb.org/dotdeb.gpg
apt-key add dotdeb.gpg

Akhirnya update seperti biasanya:

apt-get update && apt-get upgrade

Ubuntu 14.04

Kalau anda menggunakan Ubuntu maka bisa mencoba menjalankan langkah – langkah berikut. Kita akan menambahkan PPA Ubuntu eksternal:

add-apt-repository ppa:ondrej/php5-5.6

Kemudian langsung update definisi repository Ubuntu dan sekaligus mengupgradenya:

apt-get update && apt-get upgrade

Peringatan

Sekali lagi hati – hati! Pada salah satu percobaan Apache saya hilang konfigurasinya dan terpaksa setting ulang dari awal, entah apa hubungannya kok bisa rusak. πŸ™

8 thoughts on “Cara upgrade PHP di VestaCP

  1. Halo mas chandra,
    maaf oot, rekues dong cara instal php 7 di centos 6.7 dari remi repo πŸ™‚ sebelumnya untuk instal php 5.6 saya aktifkan secara default repo remi dan php 5.6 di file /etc/yum.repos.d/remi.repo.
    saya ubah nilai [remi] dan [remi-php56] di bagian enabled dari 0 ke 1.
    nah sekarang pengen nyoba php 7 tapi opsi aktivasi untuk php 7 nggak ada.
    oh ya sekedar info nggak penting πŸ˜€ sekarang sudah bisa lepas tanpa panel vestacp jadi lebih mandiri hehehe, trims untuk mas chandra yang sudah share gratis ilmunya.

    • Oke mbak πŸ™‚ Ini mau install dari awal atau upgrade PHPnya?

      Kemarin sempat coba sesaat pada salah satu server tapi WordPress yang ada didalamnya ada tema/plugin yang tidak kompatibel dengan PHP 7. Entah dimananya. Ga sekalian coba HHVM mbak? Hehe. πŸ˜€

      Sep mbak, tumpengan dulu buat merayakan. πŸ˜›

      Kalau sudah bisa tanpa panel bisa lebih optimal lagi resource VPSnya.

      Ngomongin hal ga penting juga, kemarin saya diminta tolong ngecek Webuzo dan ternyata berat sekali untuk pengunjung 5ribuan. Makan RAM hampir 1GB dan Swapnya bisa 2GB. Lebih ringan VestaCP tampaknya.

      • instal dari awalnya mas chandra πŸ™‚
        moga saja bisa jalan dengan temen2nya :

        • nginx 1.9.9
        • mariadb 10.1
        • memcached
        • phpmyadmin

        webuzo sudah pernah pakai dahulu kala tapi memang masih tetap lebih ringan vestacp πŸ™‚

      • Waduh syarat – syaratnya ngeri gitu mbak. Haha… πŸ˜€

        Kalau Memcached saat ini masih belum kompatibel dengan PHP7 mbak, jadi nyusul di pembahasan lain nantinya atau saya update. Sedangkan phpMyAdmin perlu juga? Maksud saya pas dicek kok rasanya tidak ada perbedaan ya caranya dibandingkan versi – versi sebelumnya, sudah kompatibel juga. Apa ada masalah mbak?

  2. mas saya sudah coba tutorialnya dan hasilnya php nya tetap versi PHP 5.4.45-0+deb7u4 , itu kira2 kenapa ya? Apa berbeda metodenya jika pakai server nginx, sekedar info saya pakai nginx 1.10.1, Debian 7 64 bit.

    Thx

    • Halo mas Budi, eh… makasih sudah menanyakan. Nanti akan saya tes lagi dan takutnya ada update jadi sistem PHPnya VestaCP sudah berubah. Seingat saya pakai vesta-php dan mungkin saya yang salah kaprah.

Leave a Comment